#include <bits/stdc++.h>
using namespace std;
map<pair<int,int>, int> mapa;   
vector<vector<int>> graph;
vector<bool> visited;
// int dfs(int i, int n, int a){
//    if(i==1){
//     int maxi= 0 ;
//     for(auto u:graph[n]){
//         maxi = max(maxi,dfs(2,u,a));
//     }
    
//         return maxi;
//    }
//    if(i==2){
//     // if(count)
//    }
//     if( i == 3){

//         for(auto u:graph[n]){
//             if(mapa[{min(a,u)}].count()){
//                 return mapa[{min(a,u), max(a,u)}]+mapa[{min(a,n), max(a,n)}]+mapa[{min(n,u), max(n,u)}];
//             }
//         }
//     }
// }


int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin>>t;
    for(int uf=0;uf<t;uf++){
        int n;
        cin>>n;
        int maxi = 0;
        vector<pair<int,int>> a(n, pair<int,int>());
        map<pair<int,int>,int> mapa;

        for(int i=0;i<n;i++){
            int x,y,z;
            cin>>x>>y>>z;
            a[i] ={x,y};
            mapa[{x,y}] = z;
            
        }
        
        for(int i=1;i<=n;i++){
            int tmp=0;
            for(auto [u,v]:a){
                if(u==i || v==i){
                    tmp+=mapa[{u,v}];
                }

            }
            maxi = max(maxi,tmp);
        }

     cout<<maxi<<endl;
    }

}